let _会話_保存変数 = Game_System.prototype.initialize;
Game_System.prototype.initialize = function () { 
    _会話_保存変数.call(this);
};
class _L2DSetting {
    constructor(_YYY_) {
        this._YYY_ = _YYY_;
    }
}
class _L2DTalkSet {
    constructor(_modelName, _No) {
        this._YYY_ = _YYY_;
    }
}
const PN_TalkBack = 138;    
const PN_FukiWin = 450;     
let TalkMode = false; 
const VN_Fukidasi = 15; 
const TalkPic = "pictures/Adv/Talk/";
const FukiPic = "pictures/Adv/Fuki/";
const MsgZureY = 70;
let Jug_Msg_Zure_initialize = Game_System.prototype.initialize;
Game_System.prototype.initialize = function () { 
    Jug_Msg_Zure_initialize.call(this);
    this.Msg_ZureX = 0; 
    this.Msg_ZureY = 0; 
};
let Fuki_Cmd101 = Game_Interpreter.prototype.command101;
Game_Interpreter.prototype.command101 = function () {
    Fuki_Cmd101.call(this);
    return false;
}
let _NT_CloseFlg = false;
let _NT_TTclose = Window_Message.prototype.close;
Window_Message.prototype.close = function () {
    _NT_TTclose.call(this);
    _NT_CloseFlg = true;
}
let _NT_Update = Game_Interpreter.prototype.NUpdateSc;
Game_Interpreter.prototype.NUpdateSc = function () {
    _NT_Update.call(this);
    if (_NT_CloseFlg) {
        this.DelPict(PN_FukiWin);
        _NT_CloseFlg = false;
    }
}
Nupu_Window_Message_updateInput = Window_Message.prototype.updateInput;
Window_Message.prototype.updateInput = function () {
    if (this.pause) {
        if (this.isTriggered()) {
            if ($gameSystem.Voice重複禁止) {
                StopVoice();
            }
        }
    }
    return Nupu_Window_Message_updateInput.call(this);
};
let Fuki_updatePlacement = Window_Message.prototype.updatePlacement;
Window_Message.prototype.updatePlacement = function () {
    Fuki_updatePlacement.call(this);
    if ($gameSystem.Msg_ZureX == undefined) $gameSystem.Msg_ZureX = 0;
    if ($gameSystem.Msg_ZureY == undefined) $gameSystem.Msg_ZureY = 0;
    this.x = 460 + $gameSystem.Msg_ZureX;
    this.y = 545 + MsgZureY + $gameSystem.Msg_ZureY; 
}
let Fuki_adjustPositionY = Window_NameBox.prototype.adjustPositionY;
Window_NameBox.prototype.adjustPositionY = function () {
    Fuki_adjustPositionY.call(this);
    this.y += 15;
}
let _View_Live2DArr = []; 
class _VL2D {
    constructor(_MdlName, _Pos) {
        this._MdlName = _MdlName; 
        this._Pos = _Pos; 
    }
}
let _EventSetting = "";
Game_Interpreter.prototype.Event_StrCng = function (_EventStr) {
    D_Text_Cng_font = "Makinas"; 
    this.SetPict(PN_EventBar, AdvPic + "PN_EventBar", -276, 80);
    _EventSetting = SCol.Blk + "\\ow[4]\\oc[rgb(231,225,212)]" + _EventStr;
    this.SetPicStr(PN_EventTxt, " " + _EventSetting + " ", 22, -276 + 10, 80 + 17);
    EasingStr = "easeOutQuad";
    this.MovePict(PN_EventBar, 0, 80, 15);
    this.MovePict(PN_EventTxt, 0 + 22, 80 + 17, 15);
    EasingStr = "";
    D_Text_Cng_font = ""; 
}
let _会話背景維持 = false; 
let _EventBar_flame = 0;
Game_Interpreter.prototype.Talk_Open = function () { 
    _View_Live2DArr = [];
    Adv_Stop = TalkMode = true;
    this.SetPictFIn(PN_TalkBack, TalkPic + "PN_TalkBack", 0, 0, 0, 0, 15);
    if (!_会話背景維持) this.ADV_PicOpi_0(10);
    if (_EventSetting != "") {
        D_Text_Cng_font = "Makinas"; 
        this.SetPict(PN_EventBar, AdvPic + "PN_EventBar", -276, 80);
        _EventSetting = SCol.Blk + "\\ow[4]\\oc[rgb(231,225,212)]" + _EventSetting;
        this.SetPicStr(PN_EventTxt, " " + _EventSetting + " ", 22, -276 + 10, 80 + 17);
        EasingStr = "easeOutQuad";
        this.MovePict(PN_EventBar, 0, 80, 15);
        this.MovePict(PN_EventTxt, 0 + 22, 80 + 17, 15);
        EasingStr = "";
        D_Text_Cng_font = ""; 
        _EventBar_flame = 300;
    }
}
let _Talk休憩Flg = false;
Game_Interpreter.prototype.Talk_End = function () { 
    TalkMode = false;
    this.DelPict(PN_FukiWin);
    this.MovePict(PN_TalkBack, 0, 0, 15, 0);
    L2dAllFadeOut();
    if (!_会話背景維持 && !_Talk休憩Flg) this.ADV_PicOpi_Load(10);
    _EventSetting = "";
    this.MovePict(PN_EventBar, true, true, 5, 0);
    this.MovePict(PN_EventTxt, true, true, 5, 0);
    _Dorei_UiDrawStop = -1;
    if ($gameSwitches.value(SW_奴隷)) {
        this.Adv_Dorei_UIUpdate(true);
    }
    //L2D_AllZureReset();
    _Talk休憩Flg = false;
}
let _Talk_Update = Game_Interpreter.prototype.NUpdateSc;
Game_Interpreter.prototype.NUpdateSc = function () {
    _Talk_Update.call(this);
    if (_EventBar_flame == 1) {
        _EventSetting = "";
        this.MovePict(PN_EventBar, true, true, 5, 0);
        this.MovePict(PN_EventTxt, true, true, 5, 0);
    }
    _EventBar_flame--;
}
